falkon (4:26.04.3-0ubuntu1) stonking; urgency=medium

  * New upstream release (26.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Jul 2026 08:21:26 +0100

falkon (4:26.04.2-0ubuntu1) stonking; urgency=medium

  * New upstream release (26.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Jun 2026 22:00:59 +0100

falkon (4:25.12.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Mar 2026 13:44:47 +0000

falkon (4:25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:17:43 +0000

falkon (4:25.12.1-0ubuntu3) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 21:37:19 +0000

falkon (4:25.12.1-0ubuntu2) resolute; urgency=medium

  * Add amd64v3 to build architectures.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 Jan 2026 08:44:42 +0000

falkon (4:25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 10:57:03 +0000

falkon (4:25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:13:44 +0000

falkon (4:25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 13:58:41 +0000

falkon (4:25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:49:09 +0000

falkon (4:25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:10:39 +0000

falkon (4:25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:38:54 +0100

falkon (4:25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:50:24 +0100

falkon (4:25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:19:35 +0100

falkon (4:25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 17:27:56 +0100

falkon (4:25.07.80-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Use correct official signed release tarball from download.kde.org.
      The tarballs generated by github from tags on the KDE github mirror
      are not official or signed, and are not generated by the KDE release
      scripts. Their contents are often not complete, and should not be
      used to upload to distributions.
    - Point watch file to correct location on download.kde.org.
    - Update upstream signing key.
    - Build depend on dh-sequence-kf6
    - Fix qtwebengine qml module runtime depend to be Qt6 version.
    - Drop add-source-minified-js.patch, no longer needed.
    - Remove src/lib/data/html/jquery*.js from Files-Excluded from copyright
      file, apparently these files come with source from upstream now.
    - Add apparmor profile to fix userns crash.

 -- Rik Mills <rikmills@kde.org>  Sat, 12 Jul 2025 10:10:04 +0100

falkon (25.07.80-1) unstable; urgency=medium

  * New upstream version 25.07.80

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 12 Jul 2025 09:26:00 +0200

falkon (25.04.3-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Use correct official signed release tarball from download.kde.org.
      The tarballs generated by github from tags on the KDE github mirror
      are not official or signed, and are not generated by the KDE release
      scripts. Their contents are often not complete, and should not be
      used to upload to distributions.
    - Point watch file to correct location on download.kde.org.
    - Update upstream signing key.
    - Build depend on dh-sequence-kf6
    - Fix qtwebengine qml module runtime depend to be Qt6 version.
    - Drop add-source-minified-js.patch, no longer needed.
    - Remove src/lib/data/html/jquery*.js from Files-Excluded from copyright
      file, apparently these files come with source from upstream now.
    - Add apparmor profile to fix userns crash.

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 14:17:02 +0100

falkon (25.04.3-1) unstable; urgency=medium

  * New upstream version 25.04.3

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 11 Jul 2025 10:43:22 +0200

falkon (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:35:54 +0100

falkon (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 11:37:34 +0100

falkon (25.04.1-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Use correct official signed release tarball from download.kde.org.
      The tarballs generated by github from tags on the KDE github mirror
      are not official or signed, and are not generated by the KDE release
      scripts. Their contents are often not complete, and should not be
      used to upload to distributions.
    - Point watch file to correct location on download.kde.org.
    - Update upstream signing key.
    - Build depend on dh-sequence-kf6
    - Fix qtwebengine qml module runtime depend to be Qt6 version.
    - Drop add-source-minified-js.patch, no longer needed.
    - Remove src/lib/data/html/jquery*.js from Files-Excluded from copyright
      file, apparently these files come with source from upstream now.
    - Add apparmor profile to fix userns crash.

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 07:35:20 +0100

falkon (25.04.1-1) unstable; urgency=medium

  * New upstream version 25.04.1
  * checked that nested bookmark folders are possible without forcing
    falkon to crash. Closes: #1102883

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 08 May 2025 14:52:20 +0200

falkon (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:00:38 +0100

falkon (25.04.0-1) unstable; urgency=medium

  * New upstream version 25.04.0

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 04 May 2025 19:45:18 +0200

falkon (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 19:41:31 +0100

falkon (25.03.90-1) unstable; urgency=medium

  * replaced /usr/share/qt5 by /usr/share/qt6 in postinst script.
  * New upstream version 25.03.90

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 03 Apr 2025 14:57:28 +0200

falkon (25.03.80-2) unstable; urgency=medium

  * changed a dependency: qml-module-qtwebengine => qml6-module-qtwebengine
    this probably Closes: #1100745 and Closes: #1100706

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 18 Mar 2025 17:15:01 +0100

falkon (25.03.80-1) unstable; urgency=medium

  * New upstream version 25.03.80

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 16 Mar 2025 20:31:12 +0100

falkon (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Mar 2025 08:35:48 +0000

falkon (24.12.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Use correct official signed release tarball from download.kde.org.
      The tarballs generated by github from tags on the KDE github mirror
      are not official or signed, and are not generated by the KDE release
      scripts. Their contents are often not complete, and should not be
      used to upload to distributions.
    - Point watch file to correct location on download.kde.org.
    - Update upstream signing key.
    - Build depend on dh-sequence-kf6
    - Fix qtwebengine qml module runtime depend to be Qt6 version.
    - Drop add-source-minified-js.patch, no longer needed.
    - Remove src/lib/data/html/jquery*.js from Files-Excluded from copyright
      file, apparently these files come with source from upstream now.
    - Add apparmor profile to fix userns crash.

 -- Rik Mills <rikmills@kde.org>  Sun, 23 Feb 2025 20:41:52 +0000

falkon (24.12.2-1) unstable; urgency=medium

  * New upstream version 24.12.2

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 06 Feb 2025 17:24:50 +0100

falkon (24.12.2-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Feb 2025 14:10:37 +0000

falkon (24.12.1-1) unstable; urgency=medium

  * New upstream version 24.12.1

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 15 Jan 2025 14:52:54 +0100

falkon (24.12.1-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.1)
  * Limit build to architectures where QtWebEngine is available.

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2025 14:24:51 +0000

falkon (24.12.0-1) unstable; urgency=medium

  * new upstream version 24.12.0

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 15 Dec 2024 18:44:58 +0100

falkon (24.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Dec 2024 17:02:54 +0000

falkon (24.11.90-0ubuntu1) plucky; urgency=medium

  * New upstream (RC) release (24.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 29 Nov 2024 14:02:07 +0000

falkon (24.11.80-2ubuntu1) plucky; urgency=medium

  * New upstream beta release (24.11.80.
  * Sync with debian.

 -- Rik Mills <rikmills@kde.org>  Fri, 15 Nov 2024 18:53:51 +0000

falkon (24.11.80-1) unstable; urgency=medium

  * New upstream version 24.11.80

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 15 Nov 2024 16:50:03 +0100

falkon (24.08.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (24.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Nov 2024 11:35:50 +0000

falkon (24.08.2-1ubuntu2) plucky; urgency=medium

  * Fix qtwebengine qml module runtime depend to be Qt6 version.

 -- Rik Mills <rikmills@kde.org>  Mon, 04 Nov 2024 17:12:26 +0000

falkon (24.08.2-1ubuntu1) plucky; urgency=medium

  * Merge from Debian: Remianing changes:
    - Kubuntu Vcs and maintainer fields.
    - Use correct official signed release tarball from download.kde.org.
      The tarballs generated by github from tags on the KDE github mirror
      are not official or signed, and are not generated by the KDE release
      scripts. Their contents are often not complete, and should not be
      used to upload to distributions.
    - Point watch file to correct location on download.kde.org.
    - Update upstream signing key.
    - Build depend on dh-sequence-kf6
    - Drop add-source-minified-js.patch, no longer needed.
    - Remove src/lib/data/html/jquery*.js from Files-Excluded from copyright
      file, apparently these files come with source from upstream now.
    - Add apparmor profile to fix userns crash.

 -- Rik Mills <rikmills@kde.org>  Fri, 01 Nov 2024 12:09:26 +0000

falkon (24.08.2-1) unstable; urgency=medium

  * New upstream version 24.08.2

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 13 Oct 2024 09:45:09 +0200

falkon (24.08.1-1) unstable; urgency=medium

  * New upstream version 24.08.1

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 21 Sep 2024 14:35:13 +0200

falkon (24.08.0-2) unstable; urgency=medium

  * upload to unstable

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 24 Aug 2024 14:35:13 +0200

falkon (24.08.0-1) experimental; urgency=medium

  * New upstream version 24.08.0

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 23 Aug 2024 10:13:19 +0200

falkon (24.07.80-1) experimental; urgency=medium

  * New upstream version 24.07.80
  * trying to check the pgp signature
  * New upstream version 24.07.80

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 29 Jul 2024 09:17:56 +0200

falkon (24.05.2-1) experimental; urgency=medium

  * New upstream version 24.05.2

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 08 Jul 2024 19:44:41 +0200

falkon (24.05.2-0ubuntu3) oracular; urgency=medium

  * Add bug number.. (LP: 2081228)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 02:02:29 -0700

falkon (24.05.2-0ubuntu2) oracular; urgency=medium

  * Fix webengine path for qt6 in apparmor profile.

 -- Scarlett Moore <sgmoore@debian.org>  Wed, 18 Sep 2024 01:46:56 -0700

falkon (24.05.2-0ubuntu1) oracular; urgency=medium

  [ Scarlett Moore ]
  * Properly address the apparmor profile issue by adding multiple
    lines for the different architectures we want to support until 
    @multiarch is supported. This closes (LP: #2064492)

  [ Rik Mills ]
  * New upstream release (24.05.2)
  * Re-apply Kubuntu delta dropped by a sync several releases back.
    - Kubuntu Vcs and maintainer fields.
    - Use correct official signed release tarball from download.kde.org.
      The tarballs generated by github from tags on the KDE github mirror
      are not official or signed, and are not generated by the KDE release
      scripts. Their contents are often not complete, and should not be
      used to upload to distributions.
    - Point watch file to correct location on download.kde.org.
    - Update upstream signing key.
    - Build depend on dh-sequence-kf6
    - Drop add-source-minified-js.patch, no longer needed.
    - Remove src/lib/data/html/jquery*.js from Files-Excluded from copyright
      file, apparently these files come with source from upstream now
  * Update lintian overrides.

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Jul 2024 15:52:48 +0100

falkon (24.05.2-1) experimental; urgency=medium

  * New upstream version 24.05.2

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 08 Jul 2024 19:44:41 +0200

falkon (24.05.1-1ubuntu2) oracular; urgency=medium

  * Add missing files. 

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 08 Jul 2024 09:08:41 -0700

falkon (24.05.1-1ubuntu1) oracular; urgency=medium

  * Add apparmor profile to fix userns crash. (LP: #2065915) 

 -- Scarlett Moore <sgmoore@debian.org>  Mon, 08 Jul 2024 08:09:35 -0700

falkon (24.05.1-1) experimental; urgency=medium

  * added the build-dependency cmake-data
  * bumped Standards-Version: 4.7.0
  * New upstream version 24.05.1

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 17 Jun 2024 17:12:47 +0200

falkon (24.05.0-1) experimental; urgency=medium

  * New upstream version 24.05.0
  * added a build-dependency on libkf6kio-dev; removed build-dependencies
    on libkf6coreaddons-*

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 24 May 2024 17:42:14 +0200

falkon (24.04.90-2) experimental; urgency=medium

  * added a build dependency: qt6-networkauth-dev
  * removed a redundancy in d/copyright line 127, and another one in line 75
  * fixed a build dependency extra-cmake-modules (>= 6.0.0-1) =>
    extra-cmake-modules (>= 6.0.0)
  * changed a build-dependency pkg-config => pkgconf

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 18 May 2024 08:52:55 +0200

falkon (24.04.90-1) experimental; urgency=medium

  * New upstream version 24.04.90
  * added a build-dependency on libkf6i18n-dev (thank to Adrian Bunk)
    Closes: #1071138
  * added other build-dependencies: qtkeychain-qt6-dev, libkf6wallet-dev,
    libkf6crash-dev,libkf6coreaddons-dev, libkf6coreaddons-data.
  * added the *-data packages to dependencies

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 15 May 2024 15:53:49 +0200

falkon (24.04.80-2) experimental; urgency=medium

  * added build-dependencies: libkf6archive-dev, libkf6archive-data
  * modified dependencies to introduce : libqt6sql6-sqlite as a dependency
    and libqt6webenginecore6-bin as a suggestion
  * updated debian/copyright

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 04 May 2024 09:15:20 +0200

falkon (24.04.80-1) experimental; urgency=medium

  * New upstream version 24.04.80

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 03 May 2024 18:47:29 +0200

falkon (24.02.2-1) experimental; urgency=medium

  * minimum dependency for extra-cmake-modules (>= 6.0.0-1)
  * New upstream version 24.02.2

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 12 Apr 2024 13:42:52 +0200

falkon (24.02.0-1) experimental; urgency=medium

  * trying to run CI with experimental
  * trying to fix SALSA_CI_EXTRA_REPOSITORY
  * added a sources.list-like file
  * trying to use a file variable
  * New upstream version 24.02.0

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 06 Mar 2024 16:55:32 +0100

falkon (24.01.95-1) experimental; urgency=medium

  * New upstream version 24.01.95
  * added a build-dependency extra-cmake-modules
  * removed the patch KF_MIN_VERSION.patch since FindKF6.cmake can be
    provided in experimental
  * New upstream version 24.01.90
  * removed useless copyright data about src/plugins/ImageFinder/*
  * The dependencies cannot be yet fulfilled: the line
    find_package(KF6 REQUIRED COMPONENTS Archive) in CMakeLists.txt would
    require some file like "kf6-config.cmake"; however apt-file search kf6
    returns nothing useful.
    .
    Some hacks have been tried to make some progress in packaging:
    + patched CMakeLists.txt to force min version to be less than
      the requested version "5.240.0" for package "ECM", and work around
      the missing kf6 stuff.
    + modified build-dependencies since Qt is required to be >= 6

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 06 Feb 2024 19:18:10 +0100

falkon (24.01.85-1) UNRELEASED; urgency=medium

  * New upstream version 24.01.85; still fails to build with the message
      CMakeLists.txt:19 (find_package):
        Could not find a configuration file for package "ECM" that is compatible
  	with requested version "5.240.0".

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 22 Dec 2023 12:09:57 +0100

falkon (24.01.80-1) UNRELEASED; urgency=medium

  * New upstream version 24.01.80; this one depends on an unstable release
    of kde frameworks (>= 5.240.0), which is not packaged today

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 11 Dec 2023 15:31:59 +0100

falkon (24.01.75-1) unstable; urgency=medium

  * fixed a typo in d/control
  * New upstream version 24.01.75

 -- Georges Khaznadar <georgesk@debian.org>  Sat, 11 Nov 2023 11:41:19 +0100

falkon (23.08.2-1) unstable; urgency=medium

  * define hardening flags for cmake (see
    https://wiki.debian.org/Hardening#DEB_BUILD_HARDENING_FORTIFY_.28gcc.
    +2Fg.2B-.2B-_-D_FORTIFY_SOURCE.3D2.29)
  * define fortifying flags for cmake in d/rules
  * added a workaround for bhlc bug. See #994422
  * New upstream version 23.08.2

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 15 Oct 2023 19:47:52 +0200

falkon (23.08.1-2) unstable; urgency=medium

  * updated lintian-overrides
  * replaced the build-dependency libxcb-util0-dev => libxcb-util-dev
  * renamed debian/NEWS.Debian -> debian/NEWS
  * improved the copyright file
  * Depends -> Suggests qtwebengine5-dev-tools (for Falkon)
  * removed the unused build-depedndency on cdbs
  * patched CMakeLists.txt to add fortifying flag -D_FORTIFY_SOURCE=2

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 24 Sep 2023 18:31:05 +0200

falkon (23.08.1-1) unstable; urgency=medium

  * New upstream version 23.08.1

 -- Georges Khaznadar <georgesk@debian.org>  Thu, 21 Sep 2023 19:29:07 +0200

falkon (23.08.0-1) unstable; urgency=medium

  * New upstream version 23.08.0

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 27 Aug 2023 20:31:30 +0200

falkon (23.07.90-1) unstable; urgency=medium

  * New upstream version 23.07.90

 -- Georges Khaznadar <georgesk@debian.org>  Tue, 15 Aug 2023 12:47:23 +0200

falkon (23.07.80-1) unstable; urgency=medium

  * New upstream version 23.07.80

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 07 Aug 2023 10:28:17 +0200

falkon (23.04.3-1) unstable; urgency=medium

  * New upstream version 23.04.3

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 14 Jul 2023 19:18:54 +0200

falkon (23.04.2-1) unstable; urgency=medium

  * New upstream version 23.04.2

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 11 Jun 2023 11:52:16 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog falkon`.
